=== debian/control ===
Source: libdbi
Section: libs
Priority: optional
Maintainer: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev, docbook-dsssl, jadetex, automake, libtool
Standards-Version: 3.9.3.1
Vcs-Browser: http://git.debian.org/?p=users/zigo/libdbi.git
Vcs-Git: http://git.debian.org/git/users/zigo/libdbi.git
Homepage: http://libdbi.sourceforge.net/

Package: libdbi1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libapache2-mod-log-sql-dbi (<= 1.100-11), libdbd-mysql (<< 0.8.2-1), libdbd-pgsql (<< 0.8.2-1), libdbd-sqlite (<< 0.8.2-1)
Description: DB Independent Abstraction Layer for C -- shared library
 libdbi implements a database-independent abstraction layer in C, similar to
 the DBI/DBD layer in Perl. Writing one generic set of code, programmers can
 leverage the power of multiple databases and multiple simultaneous database
 connections by using this framework.
 .
 This package is the shared library.

Package: libdbi-dev
Section: libdevel
Architecture: any
Depends: libdbi1 (= ${binary:Version}), ${misc:Depends}
Replaces: libdbi0-dev, libdbi0, libdbi1 (<< 0.8.4-2)
Conflicts: libdbi0-dev
Provides: libdbi0-dev
Description: DB Independent Abstraction Layer for C  -- development files
 libdbi implements a database-independent abstraction layer in C, similar to
 the DBI/DBD layer in Perl. Writing one generic set of code, programmers can
 leverage the power of multiple databases and multiple simultaneous database
 connections by using this framework.
 .
 This package contains development files so you can compile using libdbi.

Package: libdbi-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: DB Independent Abstraction Layer for C  -- documentation
 libdbi implements a database-independent abstraction layer in C, similar to
 the DBI/DBD layer in Perl. Writing one generic set of code, programmers can
 leverage the power of multiple databases and multiple simultaneous database
 connections by using this framework.
 .
 This package contains the documentation of libdbi.
