## libdbi 0.9.0

=== debian/changelog ===
libdbi (0.9.0-6) unstable; urgency=medium

  * Transition to texlive-formats-extra build dependency (closes: #871744).
  * Update packaging bits.
  * Update watch file.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.5.1:
    - remove libdbi1-dbg package and use the auto-generated one.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 25 Dec 2020 19:59:18 +0100

libdbi (0.9.0-5.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Thu, 24 Dec 2020 14:37:04 +0100

libdbi (0.9.0-5) unstable; urgency=medium

  * Backport fix to re-enable a call to _error_handler() that was commented
    out for no obvious reason in dbi_result_next_row() .
  * Update Standards-Version to 4.1.1:
     - change libdbi1-dbg priority to optional.
   * Update debhelper level to 10:
     - remove dh-autoreconf build dependency.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 28 Oct 2017 14:11:40 +0000

libdbi (0.9.0-4) unstable; urgency=medium

  * Backport fix for double-free in dbi_shutdown_r() (closes: #764130).
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 01 Nov 2014 12:06:55 +0000

libdbi (0.9.0-3) unstable; urgency=medium

  * Backport important upstream patches:
    - fix memory leak if not connected (closes: #745980),
    - fix possible access to unallocated memory.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 21 Sep 2014 08:54:25 +0000

libdbi (0.9.0-2) unstable; urgency=medium

  * Add missing copyright holders and fixed syntax (Closes: #736240)
  * Add Breaks against non-multiarchified versions of libdbd-* packages.
    Thanks to Sébastien Villemot for the suggestion (Closes: #737286)

 -- Prach Pongpanich <prachpub@gmail.com>  Fri, 04 Apr 2014 16:40:25 +0700

libdbi (0.9.0-1) unstable; urgency=medium

  [ Laszlo Boszormenyi (GCS) ]
  * Correct debian/copyright .

  [ Prach Pongpanich ]
  * Imported Upstream version 0.9.0 (Closes: #708115, #717437)
  * Use debhelper short rules with autoreconf (Closes: #565558)
  * Add -dbg package
  * Update symbols file for new symbols
  * Add multiarch support
  * Bump Standards-Version to 3.9.5
  * Change Vcs fields to point to collab-maint
  * Adopt package (Closes: #635659)

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 20 Jan 2014 21:19:50 +0100
